### Virtual Method

# Rest Proxy authenticate

#### Declaration [src]

    gboolean
    authenticate (
      RestProxy* proxy,
      RestProxyAuth* auth,
      gboolean retrying
    )

#### Description [src]

Class handler for the `RestProxy::authenticate` signal.

#### Parameters

`auth`

  Type: `RestProxyAuth`

  No description available.

  The data is owned by the caller of the function.

`retrying`

  Type: `gboolean`

  No description available.

#### Return value

Type: `gboolean`

No description available.